#
# spec file for package python3-nbxmpp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   nbxmpp
Name:           python3-nbxmpp
Version:        0.5.4
Release:        1.1
Summary:        XMPP library by Gajim team
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            https://python-nbxmpp.gajim.org/
Source:         https://files.pythonhosted.org/packages/source/n/%{_name}/%{_name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildArch:      noarch

%description
Python-nbxmpp is a Python library that provides a way for Python
applications to use Jabber/XMPP networks in a non-blocking way. This
library is initialy a fork of xmpppy one, but using non-blocking sockets.

%package doc
Summary:        Nbxmpp Documentation
Group:          Documentation/Other

%description doc
This packages provides documentation of Nbxmpp API.

%prep
%setup -q -n nbxmpp-%{version}
rm doc/examples/*.orig

%build
python3 setup.py build

%install
python3 setup.py install \
  --root %{buildroot} --prefix=%{_prefix}
%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{python3_sitelib}/nbxmpp/
%{python3_sitelib}/nbxmpp-*

%files doc
%defattr(-,root,root)
%doc ChangeLog README
%doc doc/apidocs doc/examples

%changelog
* Thu Oct 13 2016 sor.alexei@meowr.ru
- Update to version 0.5.4:
  * Fix SCRAM authentication.
  * Fix BOSH connection with UTF-8 messages.
  * Fix smacks implementation.
  * Use uuid in stanza ids.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Mon Jul 20 2015 sor.alexei@meowr.ru
- Update to 0.5.3:
  * Fix receiving long utf8 strings.
  * Fix issue with pyopenssl 0.15.1.
  * Fix decoding issues.
* Sat Jan 10 2015 sor.alexei@meowr.ru
- Update to 0.5.2:
  * Fix BOSH HTTP requests.
  * Fix handling of binary SASL data for mechanism GSSAPI.
  * Update MAM namespace.
* Fri Oct 17 2014 p.drouand@gmail.com
- Correct Group is Development/Languages/Python
- Remove -O1 --skip-build options; we wan't byte-compiled libraries
- Do not require explicitely python3
* Sat Oct 11 2014 sor.alexei@meowr.ru
- Update to 0.5.1 (changes since 0.2):
  * Fix printing network errors in a non-utf-8 console
  * Support both python2 and python3
  * Fix storing server certificate when there is no error
  * Ability to configure TLS protocol version
  * Add support for SCRAM-SHA-1-PLUS
  * Security improvements
  * Improve security level
  * Ability to configure cipher list
  * Store only depth 0 SSL certificate
- Use upstream tarball (and remove XZ from dependencies)
- Correct license: GPLv3+
* Thu Aug 15 2013 dap.darkness@gmail.com
- Heads up: Python2 / Python3 parallel installation.
  %%fdupes will not work if files are installed via %%doc.
* Sun May 19 2013 dap.darkness@gmail.com
- Updated to 0.1+r37 — significant for python3-version:
  * Ask for discovery information (and archive)
    after SM is enabled. Fixes #7299
  * fix initilizing errnum list
  * try write acces to repo.
  * fix var name
  * don't crash when cacerts is an empty string
  * hardcode error values in protocol.py
  * don't crash when cacerts is an empty string
  * fix traceback
  * fix handling traceback. Fixes #3
  * basestring -> str
  * fix error handling. Fixes #1
  * add jabber:x:oob namespace
  * add jabber:x:oob namespace
  * fix encoding problems with DIGEST-MD5 authentication
  * fix connecting with internal ssl implementation
  * don't crash when we sent a partial stanza
    that cut utf-8 chars in the middle
  * don't call send when there is nothing to send
  * don't crash when we get a partial stanza
    that cut utf-8 chars in the middle
  * dict.items() -> list(dict.items())
  * fix encoding issues
  * fix HMAC computation
  * fix showing pending traceback
  * fix encoding issues (base64, HMAC, ...)
  * hardcode error values in protocol.py
* Sat Apr 20 2013 dap.darkness@gmail.com
- Fixed up to submit.
* Sat Apr  6 2013 nekolayer@yandex.ru
- Initial package.
